Subject: Re: bug#41386: 28.0.50; Gnus nnimap OAuth 2.0 support

From: Noam Postavsky <[email-masked]>
Date: Tue, 19 May 2020 08:58:01 -0400

On Tue, 19 May 2020 at 08:47, Lars Ingebrigtsen <[email-masked]> wrote:

> > Is support for OAuth 2.0 -- perhaps via oauth2.el available in GNU ELPA
> > -- something that Gnus could eventually implement?  If so, I guess this
> > bug report could be where the idea is discussed.
>
> I don't think there's any way to ship Emacs with built-in oauth2 support
> for doing auth with Gmail -- it requires distributions with API secrets

There is something called xoauth2, is that related? Someone posted a
package for it, but the docs are a bit thin...

https://github.com/ccrusius/auth-source-xoauth2